Bug 553203 - 'rhnreg_ks' and 'rhn_register' unwanted message
'rhnreg_ks' and 'rhn_register' unwanted message
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: python-dmidecode (Show other bugs)
5.5
noarch Linux
medium Severity medium
: rc
: ---
Assigned To: David Sommerseth
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-07 07:07 EST by Jiri Kastner
Modified: 2016-05-22 19:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:43:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2010-01-07 07:07:55 EST
Description of problem:
'rhnreg_ks' and 'rhn_register' commands print following messages
"# SMBIOS entry point at 0xHHHHHHHH" (ia64)
or
"No SMBIOS nor DMI entry point found, sorry." (s390x, ppc64)
on platforms other then x86_64 and i386

Version-Release number of selected component (if applicable):


How reproducible:
always on ppc64, s390x and ia64

Steps to Reproduce:
1. install packages on ia64, ppc64 or s390x platform:
 rhn-check-0.4.20-14.el5.noarch.rpm
 rhn-client-tools-0.4.20-14.el5.noarch.rpm
 rhn-setup-0.4.20-14.el5.noarch.rpm
 rhn-setup-gnome-0.4.20-14.el5.noarch.rpm
2. register machine 
3. command prints message (see above in description)
 

Actual results:
'rhnreg_ks' and 'rhn_register' commands print following messages
"# SMBIOS entry point at 0xHHHHHHHH" (ia64)
or
"No SMBIOS nor DMI entry point found, sorry." (s390x, ppc64)
on platforms other then x86_64 and i386

Expected results:
no messages when python imports dmidecode module

Additional info:
Comment 2 Milan Zazrivec 2010-01-07 07:43:52 EST
The error described is printed into stderr during a plain

    import dmidecode

I don't see how we could fix the problem in rhn-client-tools. I think this
should be fixed in the dmidecode module itself (as long as the maintainer
agrees this really is a bug).
Comment 4 Clark Williams 2010-01-07 11:42:06 EST
David,

Have we done *any* testing with platforms other than x86_64 and i686?
Comment 6 David Sommerseth 2010-01-11 10:58:42 EST
Pushed the proposed patch into python-dmidecode-3.10.8-4.  Ready for QE and testing.

The application will now give the a message if "unprocessed" warnings are found.  This can be solved by doing, f.ex:

-------------------------------------------
import dmidecode
dmidecode.clear_warnings()
-------------------------------------------
This will clear the "No SMIBIOS nor DMI entry point found, sorry" warning, which happens if py-dmidecode is used as non-root user or on a system without DMI tables.

Another solution is to grab the warnings, which in many situations are a better solution.
-------------------------------------------
import dmidecode
warn = dmidecode.get_warnings()

# process the warn and mask out information which is not needed
# warn == None if no warnings are found
-------------------------------------------

If new warnings appears after dmidecode.clear_warnings() or dmidecode.get_warnings() are called, it will still give a warning to stderr if the warnings are not fetched or cleared.
Comment 10 errata-xmlrpc 2010-03-30 04:43:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2010-0268.html

Note You need to log in before you can comment on or make changes to this bug.